%define _version 1.2.5
%define _release C2

Summary: A text mode mail user agent.
Name: mutt
Version: %{_version}i
Release: %{_release}
Copyright: GPL
Group: Applications/Internet
Source: ftp://ftp.guug.de/pub/mutt/mutt-%{version}.tar.gz
Url: http://www.mutt.org/
Requires: smtpdaemon, urlview
Buildroot: %{_tmppath}/mutt-root
Conflicts: mutt-us
Provides: mutt-i
Patch0: mutt-1.2.5i-rfc822.patch

%description
Mutt is a text mode mail user agent. Mutt supports color, threading,
arbitrary key remapping, and a lot of customization.

%prep
%setup -n mutt-%{_version}
%patch0 -p1 -b .orig

%build
automake
autoconf
export -n LINGUAS
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--with-sharedir=/etc --sysconfdir=/etc \
	--with-docdir=/usr/doc/mutt-%{version} \
	--enable-pop --disable-warnings 
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr sharedir=$RPM_BUILD_ROOT/etc \
     sysconfdir=$RPM_BUILD_ROOT/etc \
     docdir=$RPM_BUILD_ROOT/usr/doc/mutt-%{version} install

strip $RPM_BUILD_ROOT/usr/bin/mutt
strip $RPM_BUILD_ROOT/usr/bin/mutt_dotlock

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/Muttrc
%doc contrib/Mush.rc contrib/Pine.rc README* contrib/sample.* NEWS
%doc COPYRIGHT doc/manual.txt contrib/language* mime.types
/usr/bin/mutt
/usr/man/man1/*
%attr(2755,root,mail) /usr/bin/mutt_dotlock

%changelog
* Wed Jan 09 2002 Jeff Lovell <jeffrey.lovell@sun.com> 1.2.5i-C2
- add security patch to fix address handling errors (mutt-1.2.5i-rfc822.patch)

* Sat Sep  9 2000 Duncan Laurie <duncan@cobalt.com> 1.2.5i-C1
- update version to 1.2.5

* Fri Jul 28 2000 Jeff Bilicki <jeffb@cobalt.com 1.2.4i-C2
- update version to 1.2.4

* Wed Jun 21 2000 Duncan Laurie <duncan@cobalt.com> 1.2.2i-C1
- update version to 1.2.2

* Tue Jun 20 2000 Duncan Laurie <duncan@cobalt.com> 1.2.1i-C3
- get correct group 'mail' and sgid bit on mutt_dotlock

* Mon Jun 19 2000 Duncan Laurie <duncan@cobalt.com> 1.2.1i-C2
- use curses instead of slang

* Mon Jun 19 2000 Duncan Laurie <duncan@cobalt.com> 1.2.1i-C1
- latest version

* Thu Jun 15 2000 Duncan Laurie <duncan@cobalt.com> 1.2i-C1
- build for raq4

